Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226476 - swift-lang: FTBFS in Fedora rawhide/f39
Summary: swift-lang: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: swift-lang
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ron Olson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F39FTBFS F40FTBFS PYTHON3.12 F39BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2023-07-25 20:19 UTC by Fedora Release Engineering
Modified: 2023-08-28 16:36 UTC (History)
4 users (show)

Fixed In Version: swift-lang-5.8.1-1.fc40 swift-lang-5.8.1-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-28 16:36:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 20:19 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 20:19 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 20:19 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 20:19:06 UTC
swift-lang failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103733943


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix swift-lang at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
swift-lang will be orphaned. Before branching of Fedora 40,
swift-lang will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 20:19:26 UTC
Created attachment 1979761 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 20:19:29 UTC
Created attachment 1979762 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 20:19:32 UTC
Created attachment 1979763 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:05:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Miro Hrončok 2023-08-21 18:12:50 UTC
This package needs a rebuild with Python 3.12 not to depend on Python 3.11.

Could you please fix this in time for Fedora 39? Thanks

Comment 6 Ron Olson 2023-08-21 19:13:11 UTC
I have “BuildRequires: python3” in the spec file, what needs to be done to make it work with 3.12?

Comment 7 Miro Hrončok 2023-08-21 19:21:13 UTC
A successful rebuild is all that is needed. Currently, a rebuild fails with:

FAILED: CoreFoundation/CMakeFiles/CoreFoundation.dir/Locale.subproj/CFLocale.c.o 
/builddir/build/BUILD/swift-source/build/buildbot_linux/llvm-linux-x86_64/bin/clang -DCF_BUILDING_CF -DDEPLOYMENT_RUNTIME_SWIFT -DHAVE_SCHED_GETAFFINITY -DU_SHOW_DRAFT_API -D_GNU_SOURCE -I/builddir/build/BUILD/swift-source/swift-corelibs-foundation/CoreFoundation -Iuuid-headers -ICoreFoundation.framework/Headers -isystem /builddir/build/BUILD/swift-source/swift-corelibs-libdispatch/src/BlocksRuntime -isystem /builddir/build/BUILD/swift-source/build/buildbot_linux/libdispatch-linux-x86_64 -isystem /builddir/build/BUILD/swift-source/swift-corelibs-libdispatch -isystem /builddir/build/BUILD/swift-source/swift-corelibs-libdispatch/src -isystem /builddir/build/BUILD/swift-source/build/buildbot_linux/libdispatch-linux-x86_64/src -isystem /builddir/build/BUILD/swift-source/build/buildbot_linux/libicu-linux-x86_64/tmp_install/include -O3 -DNDEBUG -fPIC -include /builddir/build/BUILD/swift-source/swift-corelibs-foundation/CoreFoundation/Base.subproj/CoreFoundation_Prefix.h -fblocks -fexceptions -fconstant-cfstrings -fdollars-in-identifiers -fno-common -Werror=implicit-function-declaration -fcf-runtime-abi=swift -Wno-shorten-64-to-32 -Wno-deprecated-declarations -Wno-unreachable-code -Wno-conditional-uninitialized -Wno-unused-variable -Wno-int-conversion -Wno-unused-function -Wno-microsoft-enum-forward-reference -F /builddir/build/BUILD/swift-source/build/buildbot_linux/foundation-linux-x86_64 -I /builddir/build/BUILD/swift-source/build/buildbot_linux/foundation-linux-x86_64/CoreFoundation.framework/PrivateHeaders -std=gnu99 -MD -MT CoreFoundation/CMakeFiles/CoreFoundation.dir/Locale.subproj/CFLocale.c.o -MF CoreFoundation/CMakeFiles/CoreFoundation.dir/Locale.subproj/CFLocale.c.o.d -o CoreFoundation/CMakeFiles/CoreFoundation.dir/Locale.subproj/CFLocale.c.o -c /builddir/build/BUILD/swift-source/swift-corelibs-foundation/CoreFoundation/Locale.subproj/CFLocale.c
In file included from <built-in>:1:
/builddir/build/BUILD/swift-source/swift-corelibs-foundation/CoreFoundation/Base.subproj/CoreFoundation_Prefix.h:194:1: error: static declaration of 'strlcpy' follows non-static declaration
strlcpy(char * dst, const char * src, size_t maxlen) {
^
/usr/include/string.h:506:15: note: previous declaration is here
extern size_t strlcpy (char *__restrict __dest,
              ^
In file included from <built-in>:1:
/builddir/build/BUILD/swift-source/swift-corelibs-foundation/CoreFoundation/Base.subproj/CoreFoundation_Prefix.h:206:1: error: static declaration of 'strlcat' follows non-static declaration
strlcat(char * dst, const char * src, size_t maxlen) {
^
/usr/include/string.h:512:15: note: previous declaration is here
extern size_t strlcat (char *__restrict __dest,
              ^
2 errors generated.

Comment 8 Miro Hrončok 2023-08-21 19:21:48 UTC
That means, keep “BuildRequires: python3” -- but please do fix the compilation error and build it.

Comment 9 Fedora Update System 2023-08-22 21:10:52 UTC
FEDORA-2023-25150d5757 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-25150d5757

Comment 10 Fedora Update System 2023-08-22 21:13:34 UTC
FEDORA-2023-25150d5757 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Miro Hrončok 2023-08-23 16:30:16 UTC
Thanks!

I see the Fedora 39 build is running, so I will reopen this bugzilla until it goes stable.

Comment 12 Fedora Update System 2023-08-23 17:24:47 UTC
FEDORA-2023-22f3f6aed0 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-22f3f6aed0

Comment 13 Fedora Update System 2023-08-23 23:18:41 UTC
FEDORA-2023-58b9da92fb has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-58b9da92fb

Comment 14 Fedora Update System 2023-08-24 01:24:19 UTC
FEDORA-2023-58b9da92fb has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-58b9da92fb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-58b9da92fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Adam Williamson 2023-08-27 16:38:57 UTC
+4 in https://pagure.io/fedora-qa/blocker-review/issue/1207 , marking accepted.

Comment 16 Fedora Update System 2023-08-28 16:36:39 UTC
FEDORA-2023-58b9da92fb has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.